#
# git clone https://git.jami.net/savoirfairelinux/jami-client-qt.git
# cd jami-client-qt
# DATE=$(git log -1 --format="%cd" --date=short | sed "s|-||g")
# git config tar.tar.xz.command "xz -c"
# git archive --format=tar.xz -o ../jami-client-qt-${DATE}.tar.xz --prefix=jami-client-qt-${DATE}/ master
#

%bcond_without webengine

%global gittag	beta/202306191555

%global jbuild	%(echo %gittag| cut -d/ -f1)
%global gdate	%(echo %gittag| cut -d/ -f2)
%global rel	1

%global sfilter	a2a0c72e4db38e1c5478bd3e0f67ff99fae11f00
%global tidyhtml5 d08ddc2860aa95ba8e301343a30837f157977cba

Name:           jami-client-qt
Summary:        The Qt client for the Jami communication framework
Version:        0.0
Release:        %mkrel %{?gdate:0.git%gdate%{?jbuild:.%jbuild}.}%{rel}
Group:          Graphical desktop/KDE
License:        GPLv2+
URL:            https://jami.net/
Source0:        https://git.jami.net/savoirfairelinux/jami-client-qt/-/archive/%{jbuild}/%{gdate}/jami-client-qt%{?jbuild:-%jbuild}-%{gdate}.tar.gz
Source1:	https://github.com/atraczyk/SortFilterProxyModel/archive/%{sfilter}/SortFilterProxyModel-%{sfilter}.tar.gz
Source2:	https://github.com/htacg/tidy-html5/archive/%{tidyhtml5}/tidy-html5-%{tidyhtml5}.tar.gz
Patch1:		jami-client-qt-system-md4c.patch
Patch2:		jami-client-qt-no-libavutil.patch
BuildRequires:	doxygen
BuildRequires:  ninja
BuildRequires:  glslc
BuildRequires:  glslang
BuildRequires:  cmake
BuildRequires:  cmake(md4c)
BuildRequires:  cmake(glslang)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Help)
BuildRequires:  cmake(Qt6Sql)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6NetworkAuth)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6QmlIntegration)
BuildRequires:  cmake(Qt6QmlModels)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Multimedia)
BuildRequires:  cmake(Qt6WebChannel)
%if %{with webengine}
BuildRequires:  cmake(Qt6WebEngineCore)
BuildRequires:  cmake(Qt6WebEngineQuick)
BuildRequires:  cmake(Qt6WebEngineWidgets)
%endif

BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(libnm)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(libqrencode)

BuildRequires:  jami-daemon-devel

BuildRequires:  imagemagick

Provides:       jami-qt = %{version}-%{release}

Requires:       jami-daemon
Requires:       qtdeclarative6
Requires:       qtmultimedia6

# Obsoleted by upstream
Obsoletes:	jami-client-gnome < 1.0.0-13.git20210730.3

Obsoletes:	jami-lrc-i18n < 1.0.0-4.git20210729.2
Obsoletes:	%{_lib}ringclient1 < 1.0.0-4.git20210729.2
Obsoletes:	%{_lib}ringclient-devel < 1.0.0-4.git20210729.2

Obsoletes:	jami-client < 0.0-0.git20221221.1
Provides:	jami-client = %{version}-%{release}

Provides:	bundled(SortFilterProxyModel)
Provides:	bundled(tidy-html5) = 5.9.20

%description
The Qt client for the Ring communication framework.

%prep
%setup -qn jami-client-qt%{?jbuild:-%jbuild}-%{gdate} -a1 -a2
%autopatch -p1

# drop bundled libs we already have
rm -rf 3rdparty/{libqrencode,md4c}

# we don't have this
rm -rf 3rdparty/SortFilterProxyModel/
ln -sf ${PWD}/SortFilterProxyModel-%{sfilter} 3rdparty/SortFilterProxyModel

# nor this
rm -rf 3rdparty/tidy-html5/
ln -sd ${PWD}/tidy-html5-%{tidyhtml5} 3rdparty/tidy-html5

%build
%global _vpath_builddir build-%{_arch}
%cmake \
  -DENABLE_LIBWRAP:BOOL=ON \
%if %{with webengine}
  -DWITH_WEBENGINE:BOOL=ON \
%else
  -DWITH_WEBENGINE:BOOL=OFF \
%endif
  %nil
%cmake_build

%install
%cmake_install

# not needed
rm -rf %{buildroot}%{_datadir}/jami/*.desktop
rm -rf %{buildroot}%{_datadir}/pixmaps/

%files
%license COPYING
%doc README.md
%{_bindir}/jami
%dir %{_datadir}/jami/
%{_datadir}/jami/translations/
%{_iconsdir}/hicolor/*/apps/jami.{png,svg}
%{_datadir}/applications/jami.desktop
%{_metainfodir}/jami.appdata.xml
%{_datadir}/man/man1/jami.1*


%changelog
* Sun Jun 25 2023 wally <wally> 0.0-0.git202306191555.beta.1.mga9
+ Revision: 1963020
- update to beta/202306191555

* Sun Jun 11 2023 wally <wally> 0.0-0.git202306081337.beta.3.mga9.tainted
+ Revision: 1961707
- add patch to build without libavclient

* Sun Jun 11 2023 wally <wally> 0.0-0.git202306081337.beta.2.mga9.tainted
+ Revision: 1961682
- rebuild with tainted jami-daemon

* Sun Jun 11 2023 wally <wally> 0.0-0.git202306081337.beta.1.mga9
+ Revision: 1961640
- update to beta/202306081337

* Wed Jun 07 2023 wally <wally> 0.0-0.git202306061717.beta.1.mga9
+ Revision: 1961279
- update to beta/202306061717 tag

* Sun Jan 22 2023 wally <wally> 0.0-0.git20230120.beta.1.mga9
+ Revision: 1934892
- update to beta/20230120 tag

* Sat Jan 21 2023 wally <wally> 0.0-0.git20230118.stable.2.mga9
+ Revision: 1934673
- rebuild for jami-daemon without dbus interface

* Thu Jan 19 2023 wally <wally> 0.0-0.git20230118.stable.1.mga9
+ Revision: 1934400
- update to stable/20230118 tag

* Sat Jan 14 2023 wally <wally> 0.0-0.git20230110.beta.1.mga9
+ Revision: 1932863
- update to upstream beta/20230110 git tag snapshot

* Sat Jan 07 2023 wally <wally> 0.0-0.git20221221.2.mga9
+ Revision: 1930901
- obsolete more jami-lrc leftovers

* Fri Jan 06 2023 wally <wally> 0.0-0.git20221221.1.mga9
+ Revision: 1930726
- update to 20221221 nightly snapshot

* Tue Jan 03 2023 daviddavid <daviddavid> 0.0-0.git20220908.7.mga9
+ Revision: 1929447
- enable webengine also on aarch64 and armv7 arches

* Sun Dec 04 2022 wally <wally> 0.0-0.git20220908.6.mga9
+ Revision: 1917777
- obsolete jami-lrc-i18n

* Sat Nov 05 2022 wally <wally> 0.0-0.git20220908.5.mga9
+ Revision: 1903685
- really build with qtwebengine6 support on ix86 and x86_64

* Sat Nov 05 2022 wally <wally> 0.0-0.git20220908.4.mga9
+ Revision: 1903674
- build with qtwebengine6 support on ix86 and x86_64

* Sun Oct 09 2022 ghibo <ghibo> 0.0-0.git20220908.3.mga9
+ Revision: 1895787
- Rebuild against libfmt9

* Sun Sep 18 2022 wally <wally> 0.0-0.git20220908.2.mga9
+ Revision: 1889957
- obsolete and replace jami-client-gnome

* Wed Sep 14 2022 wally <wally> 0.0-0.git20220908.1.mga9
+ Revision: 1888488
- new git snapshot 20220908
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sun Aug 01 2021 wally <wally> 0.0-0.git20210729.2.mga9
+ Revision: 1738499
- add translations

* Sun Aug 01 2021 wally <wally> 0.0-0.git20210729.1.mga9
+ Revision: 1738484
- split out jami launcher script
- new git snapshot 20210729
- imported package jami-client-qt

